> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model column drift trend



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model/{model_id}/{column_id}/drift-trend
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/{model_id}/{column_id}/drift-trend:
    summary: >
      Returns drift trend for the model's column. The endpoint is behind the old
      backend's auth mechanism.
    parameters:
      - description: Identifier for the model for the trends
        in: path
        name: model_id
        required: true
        schema:
          type: string
      - description: Identifier for the column.
        in: path
        name: column_id
        required: true
        schema:
          type: string
      - description: Start time for the data used for the query.
        in: query
        name: startDate
        required: true
        schema:
          type: number
      - description: End time for the data used for the query.
        in: query
        name: endDate
        required: true
        schema:
          type: number
      - description: Algorithm function used for the check query
        in: query
        name: algorithm
        required: true
        schema:
          type: string
    get:
      tags:
        - ModelDrift
      summary: Get model column drift trend
      operationId: getModelColumnDriftTrend
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  items:
                    type: number
                  type: array
                type: array
          description: The drift trend fetch query was done successfully.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Drift detection for monitored models](/cloud/platform-capabilities/features/monitoring/4-set-up-model-monitor/4-set-up-drift-detection-mm.md)
- [Analyze data drift](/cloud/platform-capabilities/features/monitoring/5-use-monitoring/3-analyze-data-drift.md)
- [Analyze drift](/api-reference/modeldrift/analyze-drift.md)
- [Get scheduled check drift data](/api-reference/modeldrift/get-scheduled-check-drift-data.md)
